<?php
namespace SmartGallery;

return [
    'view_manager' => [
        'template_path_stack' => [
            dirname(__DIR__) . '/view',
        ]
    ],
	'block_layouts' => [
        'factories' => [
            'smartGallery' => Service\BlockLayout\SmartGalleryFactory::class,
        ],
    ],
    'form_elements' => [
        'invokables' => [
            Form\SmartGalleryBlockForm::class => Form\SmartGalleryBlockForm::class,
        ],
    ],
    'DefaultSettings' => [
        'SmartGalleryBlockForm' => [
            'title' => '',
            'renderSourceLink' => true,
            'width' => 600,
            'wrapStyle' => 'overflow-y: hidden;display: flex;flex-direction: column;justify-content: center;',
        ]
    ]
];
